IMG_GetAnimationDecoderFrame(3)

NAME
IMG_GetAnimationDecoderFrame - Get the next frame in an animation decoder.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_GetAnimationDecoderFrame(IMG_AnimationDecoder *decoder, SDL_Surface **frame, Uint64 *duration);

DESCRIPTION
This function decodes the next frame in the animation decoder, returning it as an SDL_Surface. The returned surface should be freed with SDL_FreeSurface() when no longer needed.

If the animation decoder has no more frames or an error occurred while decoding the frame, this function returns false. In that case, please call SDL_GetError() for more information. If SDL_GetError() returns an empty string, that means there are no more available frames. If SDL_GetError() returns a valid string, that means the decoding failed.

FUNCTION PARAMETERS

decoder
    the animation decoder.

frame
    a pointer filled in with the SDL_Surface for the next frame in the animation.

duration
    the duration of the frame, usually in milliseconds but can be other units if the IMG_PROP_ANIMATION_DECODER_CREATE_TIMEBASE_DENOMINATOR_NUMBER property is set when creating the decoder.

RETURN VALUE
Returns true on success or false on failure and when no more frames are available; call IMG_GetAnimationDecoderStatus() or SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_CreateAnimationDecoder(3), IMG_CreateAnimationDecoder_IO(3), IMG_CreateAnimationDecoderWithProperties(3), IMG_GetAnimationDecoderStatus(3), IMG_ResetAnimationDecoder(3), IMG_CloseAnimationDecoder(3)